# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Oct  9 21:51:13 2022
# ------------------------------------------------

package:
  name: perl-base
  version: '2.23'
source:
  sha256: 40f55841299a9fe6fab03cd098f94e9221fb516978e9ef40fd8ff2cbd6625dde
  url: https://cpan.metacpan.org/authors/id/R/RJ/RJBS/base-2.23.tar.gz
build:
  noarch: generic
  number: '0'
  script:
    - perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
    - make
    - make test
    - make install VERBINST=1
  string: pl5321hd8ed1ab_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - make 4.3 hd18ef5c_1
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libnsl 2.0.0 h7f98852_0
    - perl 5.32.1 2_h7f98852_perl5
    - perl-carp 1.50 pl5321hd8ed1ab_0
    - perl-constant 1.33 pl5321hd8ed1ab_0
    - perl-exporter 5.74 pl5321hd8ed1ab_0
    - perl-extutils-makemaker 7.64 pl5321hd8ed1ab_0
    - perl-file-path 2.18 pl5321hd8ed1ab_0
    - perl-file-temp 0.2304 pl5321hd8ed1ab_0
    - perl-parent 0.238 pl5321hd8ed1ab_0
    - perl-storable 3.15 pl5321h166bdaf_0
    - perl-test-simple 1.302191 pl5321hd8ed1ab_0
  run:
    - perl >=5.32.1,<6.0a0 *_perl5
test:
  imports:
    - base
    - fields
about:
  home: https://metacpan.org/dist/base
  license: GPL-1.0-or-later OR Artistic-1.0-Perl
  license_family: OTHER
  license_file:
    - /home/conda/feedstock_root/build_artifacts/perl-base_1665352349482/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/man/man1/perlartistic.1
    - /home/conda/feedstock_root/build_artifacts/perl-base_1665352349482/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/man/man1/perlgpl.1
  summary: compile-time class fields
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - cbrueffer
